---
updatedAt: 2026-09-11T18:58:26.000Z
agentTools:
  siteIndex: https://docs.cielo.com.br/llms.txt
  projectIndex: https://docs.cielo.com.br/split/llms.txt
---

# Agendar uma autorização

<Callout icon="⚠️" theme="warn">
  ### Para programar a primeira transação da série de recorrências, passe o parâmetro `Payment.RecurrentPayment.AuthorizeNow` como "false" e adicione o parâmetro `Payment.RecurrentPayment.StartDate`.
</Callout>

## Requisição

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Ambiente
      </th>

      <th style={{ textAlign: "left" }}>
        Método
      </th>

      <th style={{ textAlign: "left" }}>
        Endpoint
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        **Sandbox**
      </td>

      <td style={{ textAlign: "left" }}>
        <div class="headline-container-article-info2GaOf2jMpV0r"><span class="rm-APIMethod APIMethod APIMethod_fixedWidth APIMethod_post headline-container-api-method1Hc-Fm7uaccR" data-testid="http-method">post</span></div>
      </td>

      <td style={{ textAlign: "left" }}>
        `https://apisandbox.cieloecommerce.cielo.com.br/1/sales`
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **Produção**
      </td>

      <td style={{ textAlign: "left" }}>
        <div class="headline-container-article-info2GaOf2jMpV0r"><span class="rm-APIMethod APIMethod APIMethod_fixedWidth APIMethod_post headline-container-api-method1Hc-Fm7uaccR" data-testid="http-method">post</span></div>
      </td>

      <td style={{ textAlign: "left" }}>
        `https://api.cieloecommerce.cielo.com.br/1/sales`
      </td>
    </tr>
  </tbody>
</Table>

`--header "Authorization: Bearer {access_token}"`

Este exemplo não autoriza imediatamente, mas agenda uma autorização futura:

```json
{  
   "MerchantOrderId":"2017091101",
   "Customer":{  
      "Name":"Nome do Comprador",
      "Identity":"12345678909",
      "IdentityType":"CPF",
      "Address":{  
         "Street":"Alameda Xingu",
         "Number":"512",
         "Complement":"27 andar",
         "ZipCode":"12345987",
         "City":"São Paulo",
         "State":"SP",
         "Country":"BRA",
         "District":"Alphaville"
      }
   },
   "Payment":{
      "Provider":"Simulado",
      "Type":"CreditCard",
      "Amount":10000,
      "Installments":1,
      "CreditCard":{
         "CardNumber":"5412217070050381",
         "Holder":"Nome do Portador",
         "ExpirationDate":"12/2021",
         "SecurityCode":"123",
         "Brand":"Visa"
      },
      "RecurrentPayment":{
         "AuthorizeNow":false,
         "StartDate":"2017-12-31",
         "EndDate":"2019-12-31",
         "Interval":"Monthly"
      }
   }
}
```
```shell
--request POST "https://apisandbox.cieloecommerce.cielo.com.br/1/sales/"
--header "Content-Type: application/json"
--header 'Bearer: {access_token}'
--data-binary
{  
   "MerchantOrderId":"2017091101",
   "Customer":{  
      "Name":"Nome do Comprador",
      "Identity":"12345678909",
      "IdentityType":"CPF",
      "Address":{  
         "Street":"Alameda Xingu",
         "Number":"512",
         "Complement":"27 andar",
         "ZipCode":"12345987",
         "City":"São Paulo",
         "State":"SP",
         "Country":"BRA",
         "District":"Alphaville"
      }
   },
   "Payment":{
      "Provider":"Simulado",
      "Type":"CreditCard",
      "Amount":10000,
      "Installments":1,
      "CreditCard":{
         "CardNumber":"5412217070050381",
         "Holder":"Nome do Portador",
         "ExpirationDate":"12/2021",
         "SecurityCode":"123",
         "Brand":"Visa"
      },
      "RecurrentPayment":{
         "AuthorizeNow":false,
         "StartDate":"2017-12-31",
         "EndDate":"2019-12-31",
         "Interval":"Monthly"
      }
   }
}
--verbose
```

**Parâmetro do header**

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Propriedade
      </th>

      <th style={{ textAlign: "left" }}>
        Tipo
      </th>

      <th style={{ textAlign: "left" }}>
        Tamanho
      </th>

      <th style={{ textAlign: "left" }}>
        Obrigatório
      </th>

      <th style={{ textAlign: "left" }}>
        Descrição
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Authorization <br /> Bearer:`access_token`
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        --
      </td>

      <td style={{ textAlign: "left" }}>
        Sim
      </td>

      <td style={{ textAlign: "left" }}>
        Token de acesso. <br />  
        Informe o `access_token` obtido para a autenticação [OAuth2](https://docs.cielo.com.br/split/reference/token-acesso)
      </td>
    </tr>
  </tbody>
</Table>

**Parâmetro do body**

| Propriedade                              | Descrição                                                                                                       | Tipo     | Tamanho | Obrigatório? |
| ---------------------------------------- | --------------------------------------------------------------------------------------------------------------- | -------- | ------- | ------------ |
| `Payment.Provider`                       | Nome do provedor do meio de pagamento.                                                                          | Texto    | 15      | Sim          |
| `Payment.Type`                           | Tipo do meio de pagamento.                                                                                      | Texto    | 100     | Sim          |
| `Payment.Amount`                         | Valor do pedido, em centavos.                                                                                   | Número   | 15      | Sim          |
| `Payment.Installments`                   | Número de parcelas.                                                                                             | Número   | 2       | Sim          |
| `Payment.RecurrentPayment.StartDate`     | Data para início da recorrência.                                                                                | Texto    | 10      | Não          |
| `Payment.RecurrentPayment.EndDate`       | Data para término da recorrência.                                                                               | Texto    | 10      | Não          |
| `Payment.RecurrentPayment.Interval`      | Intervalo da recorrência.<br />Monthly (default) / Bimonthly / Quarterly / SemiAnnual / Annual                  | Texto    | 10      | Não          |
| `Payment.RecurrentPayment.DailyInterval` | Padrão da recorrência em dias. Não utilizar em conjunto com `Interval`.                                         | Número   | 2       | Não\*        |
| `Payment.RecurrentPayment.AuthorizeNow`  | "true" - autoriza no momento da requisição. "false" - para agendamento futuro.                                  | Booleano | \*\*\*  | Sim          |
| `CreditCard.CardNumber`                  | Número do cartão do comprador.                                                                                  | Texto    | 16      | Sim          |
| `CreditCard.Holder`                      | Nome do comprador impresso no cartão. Obs.: Regras de tamanho do campo podem variar de acordo com a adquirente. | Texto    | 25      | Sim          |
| `CreditCard.ExpirationDate`              | Data de validade impressa no cartão, no formato MM/AAAA.                                                        | Texto    | 7       | Sim          |
| `CreditCard.SecurityCode`                | Código de segurança impresso no verso do cartão.                                                                | Texto    | 4       | Sim          |
| `CreditCard.Brand`                       | Bandeira do cartão de crédito. Valores aceitos: Visa, Master, Elo e Amex.                                       | Texto    | 10      | Sim          |

## Resposta

```json

{
  [...]
  "Payment": {
    "ServiceTaxAmount": 0,
    "Installments": 1,
    "Capture": true,
    "Authenticate": false,
    "Recurrent": false,
    "CreditCard": {
      "CardNumber": "455187******0181",
      "Holder": "Nome do Portador",
      "ExpirationDate": "12/2021",
      "SaveCard": false,
      "Brand": "Undefined"
    },
    "Type": "CreditCard",
    "Amount": 10000,
    "Currency": "BRL",
    "Country": "BRA",
    "Provider": "Simulado",
    "Status": 20,
    "RecurrentPayment": {
      "RecurrentPaymentId": "32703035-7dfb-4369-ac53-34c7ff7b84e8",
      "ReasonCode": 0,
      "ReasonMessage": "Successful",
      "NextRecurrency": "2017-12-31",
      "StartDate": "2017-12-31",
      "EndDate": "2019-12-31",
      "Interval": "Monthly",
      [...]
      "AuthorizeNow": false
    }
  }
}

```
```shell
--header "Content-Type: application/json"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
{
  [...]
  "Payment": {
    "ServiceTaxAmount": 0,
    "Installments": 1,
    "Interest": "ByMerchant",
    "Capture": true,
    "Authenticate": false,
    "Recurrent": false,
    "CreditCard": {
      "CardNumber": "455187******0181",
      "Holder": "Nome do Portador",
      "ExpirationDate": "12/2021",
      "SaveCard": false,
      "Brand": "Undefined"
    },
    "Type": "CreditCard",
    "Amount": 10000,
    "Currency": "BRL",
    "Country": "BRA",
    "Provider": "Simulado",
    "Status": 20,
    "RecurrentPayment": {
      "RecurrentPaymentId": "32703035-7dfb-4369-ac53-34c7ff7b84e8",
      "ReasonCode": 0,
      "ReasonMessage": "Successful",
      "NextRecurrency": "2017-12-31",
      "StartDate": "2017-12-31",
      "EndDate": "2019-12-31",
      "Interval": "Monthly",
      [...]
      "AuthorizeNow": false
    }
  }
}
```

| Propriedade          | Descrição                                                      | Tipo     | Tamanho | Formato                                               |
| -------------------- | -------------------------------------------------------------- | -------- | ------- | ----------------------------------------------------- |
| `RecurrentPaymentId` | Campo identificador da próxima recorrência.                    | GUID     | 36      | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx                  |
| `NextRecurrency`     | Data da próxima recorrência.                                   | Texto    | 7       | 05/2019 (MM/YYYY)                                     |
| `StartDate`          | Data do início da recorrência.                                 | Texto    | 7       | 05/2019 (MM/YYYY)                                     |
| `EndDate`            | Data do fim da recorrência.                                    | Texto    | 7       | 05/2019 (MM/YYYY)                                     |
| `Interval`           | Intervalo entre as recorrências.                               | Texto    | 10      | Monthly / Bimonthly / Quarterly / SemiAnnual / Annual |
| `AuthorizeNow`       | Define se a primeira recorrência já irá ser autorizada ou não. | Booleano | \*\*\*  | true ou false                                         |

<br />